App\Entity\BookingType:
    type: entity
    table: booking_type
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        title:
            type: string
            length: 255
            fixed: false
            nullable: false
        description:
            type: text
            nullable: true
        capacite:
            type: integer
            nullable: false
        duree:
            type: integer
            nullable: false
        heureDebut:
            type: datetime
            nullable: true
        heureFin:
            type: datetime
            nullable: true
    oneToMany:
        bookings:
            targetEntity: Booking
            mappedBy: bookingType
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: bookingTypes
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false